%if 0%{?fedora}
%global with_python3 1
%endif

%define srcname cram

Name:           python-cram
Version:        0.6
Release:        15%{?dist}
Summary:        Simple testing framework for command line applications
License:        GPLv2
URL:            https://bitheap.org/cram/
Source0:        http://pypi.python.org/packages/source/c/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
%if 0%{?with_python3}
BuildRequires:  python3-devel
%endif # with_python3

%description
Cram tests look like snippets of interactive shell sessions. Cram runs each
command and compares the command output in the test with the command's actual
output.

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
Cram tests look like snippets of interactive shell sessions. Cram runs each
command and compares the command output in the test with the command's actual
output.

%if 0%{?with_python3}
%package -n python3-cram
Summary:        %{summary}
Requires:       python3

%description -n python3-cram
Cram tests look like snippets of interactive shell sessions. Cram runs each
command and compares the command output in the test with the command's actual
output.
%endif # with_python3

%prep
%autosetup -n %{srcname}-%{version}

# remove shebangs
find . -type f -name '*.py' \
  -exec sed -i -e '/^#!/{1D}' {} \;

%build
%{py2_build}

%if 0%{?with_python3}
%{py3_build}
%endif # with_python3

%install
%py2_install

%if 0%{?with_python3}
rm %{buildroot}%{_bindir}/cram
%py3_install
%endif # with_python3

%check
%{__python2} setup.py test

%if 0%{?with_python3}
%{__python3} setup.py test
%endif # with_python3

%files -n python2-%{srcname}
%doc README.txt
%license COPYING.txt
%{python2_sitelib}/*
%if ! 0%{?with_python3}
%{_bindir}/cram
%endif

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.txt
%license COPYING.txt
%{python3_sitelib}/*
%{_bindir}/cram
%endif # with_python3

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.6-12
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Dec 07 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.6-9
- Use %%{summary} macro in py2/py3 subpackages (thanks zbyszek@in.waw.pl)
  (rhbz#1179484)
- Drop old py3 minimum version numbers (thanks zbyszek@in.waw.pl)
  (rhbz#1179484)

* Mon Dec 07 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.6-8
- BR: python2-devel instead of python-devel (thanks zbyszek@in.waw.pl)
  (rhbz#1179484)
- rm Group tag from py3 subpackage (thanks zbyszek@in.waw.pl) (rhbz#1179484)
- Only package a single executable, /usr/bin/cram (thanks zbyszek@in.waw.pl)
  (rhbz#1179484)

* Sun Dec 06 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.6-7
- Correct Summary for python3-cram subpackage (thanks zbyszek@in.waw.pl)
  (rhbz#1179484)
- rm py3dir macro (thanks zbyszek@in.waw.pl) (rhbz#1179484)

* Sun Dec 06 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.6-6
- Update for latest Python packaging guidelines (thanks zbyszek@in.waw.pl)
  (rhbz#1179484)
- rm Group tag
- drop support for el6

* Sat Apr 04 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.6-5
- Use %%license macro (RHBZ #1179484)

* Thu Jan 08 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.6-4
- Correct License tag (RHBZ #1179484)

* Wed Jan 07 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.6-3
- Do not ship examples files in package. These are more like test files.
  (RHBZ #1179484)

* Tue Jan 06 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.6-2
- Fix bad copy-and-paste for %%description in python3 subpackage
- Fix shebangs to satisfy rpmlint's non-executable-script errors

* Tue Jan 06 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 0.6-1
- initial package
